<?php

namespace AutoAdmin\Bundle\Admin\Form\TypeGuesser\Guesser;

use AutoAdmin\Bundle\Admin\Form\Type\Component\DatePickerType;
use AutoAdmin\Bundle\Admin\Form\Type\Component\MonthYearPickerType;
use AutoAdmin\Bundle\Admin\Form\TypeGuesser\AbstractAdminTypeGuesser;
use Doctrine\DBAL\Types\Types;

class DateMonthYearGuesser extends AbstractAdminTypeGuesser
{
    public function getFormType(): string
    {
        return MonthYearPickerType::class;
    }

    public function getDefaultFormTypeOptions(): array
    {
        return [];
    }

    public function getMatchingConfigStrings(): array
    {
        return [
            'datemonthyear',
            'date_month_year',
        ];
    }

    public function getMatchingAttributes(): array
    {
        return [];
    }

    public function getMatchingPropertyTypes(): array
    {
        return [];
    }

    public function priority(): int
    {
        return 30;
    }
}
